@if (testCaseViewService.componentData$ | async; as componentData) {
  <div class="flex-column full-height full-width no-vertical-scroll">
    <div class="charter-title flex-row p-r-10">
      {{ 'sqtm-core.test-case-workspace.title.test-charter' | translate }}
    </div>
    <div class="full-width full-height flex-column vertical-scroll">
      <div
        class="full-width flex-fixed-size p-r-10"
        [attr.data-test-element-id]="'charter'"
      >
        <div class="p-r-10">
          <div class="full-width session-duration p-10">
            <div class="label label-color">
              {{
                'sqtm-core.test-case-workspace.title.exploratory-session-duration'
                  | translate
              }}
              :
            </div>
            <div class="align-center m-l-10">
              <sqtm-core-editable-time-field
                #durationField
                [value]="sessionDuration$ | async"
                [editable]="canEdit(componentData)"
                placeHolder="00:00"
                layout="compact"
                (confirmEvent)="updateSessionDuration($event)"
                [attr.data-test-field-id]="'duration'"
              >
              </sqtm-core-editable-time-field>
            </div>
          </div>
        </div>
        <div class="full-width flex-fixed-size p-r-10">
          @if (extendedCharter) {
            <div class="full-width charter p-10">
              <div class="flex-row space-between">
                <div class="m-b-10">
                  <i
                    class="m-r-10"
                    nz-icon
                    nzType="{{ 'caret-down' }}"
                    nzTheme="outline"
                    [attr.data-test-button-id]="'toggle-charter'"
                    (click)="toggleCharter()"
                  ></i>
                  <span class="header-typography">{{
                    'sqtm-core.test-case-workspace.title.charter' | translate
                  }}</span>
                </div>
                <div>
                  <i
                    nz-icon
                    nzTheme="fill"
                    nzType="sqtm-core-generic:help"
                    class="action-icon-size current-workspace-button"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.help' | translate
                    "
                    style="margin-left: auto"
                    [attr.data-test-button-id]="'ace-help'"
                    (click)="openHelpWindow()"
                  >
                  </i>
                </div>
              </div>
              <ng-container>
                <sqtm-core-editable-rich-text
                  #charterField
                  [editable]="isEditable(componentData)"
                  [focus]="true"
                  (confirmEvent)="updateCharter($event)"
                  [attr.data-test-field-id]="'charter'"
                  [value]="getCharter(componentData)"
                >
                </sqtm-core-editable-rich-text>
              </ng-container>
            </div>
          } @else {
            <div class="full-width charter charter-collapsed">
              <div class="flex-row full-height p-10 vertical-center">
                <i
                  class="m-r-10"
                  nz-icon
                  nzType="caret-right"
                  nzTheme="outline"
                  [attr.data-test-button-id]="'toggle-charter'"
                  (click)="toggleCharter()"
                ></i>
                <span class="header-typography m-t-auto"
                  >{{
                    'sqtm-core.test-case-workspace.title.charter' | translate
                  }}
                  :</span
                >
                <div
                  class="charter-collapsed-text m-l-10"
                  [attr.data-test-element-id]="'collapsed-charter-value'"
                  [innerHTML]="componentData.testCase.charter"
                  (click)="editCollapsedCharter()"
                ></div>
              </div>
            </div>
          }
        </div>
      </div>
    </div>
  </div>
}
